<html><head><meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"><title>mysql Module</title><link rel="stylesheet" href="/html/css/module-docbook.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.73.2"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="book" lang="en"><div class="titlepage"><div><div><h1 class="title"><a name="id284025"></a>mysql Module</h1></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">Jan</span> <span class="surname">Janak</span></h3><code class="email">&lt;<a class="email" href="mailto:jan@iptel.org">jan@iptel.org</a>&gt;</code></div><div class="editor"><h4 class="editedby">Edited by</h4><h3 class="editor"><span class="firstname">Daniel-Constantin</span> <span class="surname">Mierla</span></h3><code class="email">&lt;<a class="email" href="mailto:miconda@gmail.com">miconda@gmail.com</a>&gt;</code></div></div></div><div><p class="copyright">Copyright © 2006 Voice Sistem SRL</p></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr><tr><td align="left">Revision $Revision: 5901 $</td><td align="left">$Date$</td></tr></table></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="chapter"><a href="#id276714">1. Admin Guide</a></span></dt><dd><dl><dt><span class="section"><a href="#id274479">1.1. Overview</a></span></dt><dt><span class="section"><a href="#id249362">1.2. Dependencies</a></span></dt><dd><dl><dt><span class="section"><a href="#id249367">1.2.1. OpenSIPS Modules</a></span></dt><dt><span class="section"><a href="#id249055">1.2.2. External Libraries or Applications</a></span></dt></dl></dd><dt><span class="section"><a href="#id248009">1.3. Exported Parameters</a></span></dt><dd><dl><dt><span class="section"><a href="#id248014">1.3.1. <code class="varname">exec_query_threshold</code> (integer)</a></span></dt><dt><span class="section"><a href="#id249584">1.3.2. <code class="varname">timeout_interval</code> (integer)</a></span></dt></dl></dd><dt><span class="section"><a href="#id249646">1.4. Exported Functions</a></span></dt><dt><span class="section"><a href="#id249656">1.5. Installation</a></span></dt><dt><span class="section"><a href="#id249687">1.6. Exported Events</a></span></dt><dd><dl><dt><span class="section"><a href="#id249692">1.6.1. 
		<code class="function">E_MYSQL_CONNECTION</code>
		</a></span></dt></dl></dd></dl></dd></dl></div><div class="list-of-examples"><p><b>List of Examples</b></p><dl><dt>1.1. <a href="#id248033">Set <code class="varname">exec_query_threshold</code> parameter</a></dt><dt>1.2. <a href="#id249628">Set <code class="varname">timeout_interval</code> parameter</a></dt></dl></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="id276714"></a>Chapter 1. Admin Guide</h2></div></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id274479"></a>1.1. Overview</h2></div></div></div><p>
		This is a module which provides MySQL connectivity for OpenSIPS.
		It implements the DB API defined in OpenSIPS.
	</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id249362"></a>1.2. Dependencies</h2></div></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id249367"></a>1.2.1. OpenSIPS Modules</h3></div></div></div><p>
		The following modules must be loaded before this module:
			</p><div class="itemizedlist"><ul type="disc"><li><p>
				<span class="emphasis"><em>No dependencies on other OpenSIPS modules</em></span>.
			</p></li></ul></div><p>
		</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id249055"></a>1.2.2. External Libraries or Applications</h3></div></div></div><p>
		The following libraries or applications must be installed before running
		OpenSIPS with this module loaded:
			</p><div class="itemizedlist"><ul type="disc"><li><p>
				<span class="emphasis"><em>libmysqlclient-dev</em></span> - the development libraries of mysql-client.
			</p></li></ul></div><p>
		</p></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id248009"></a>1.3. Exported Parameters</h2></div></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id248014"></a>1.3.1. <code class="varname">exec_query_threshold</code> (integer)</h3></div></div></div><p>
		If queries take longer than 'exec_query_threshold' microseconds, warning
		messages will be written to logging facility.
		</p><p>
		<span class="emphasis"><em>
			Default value is 0 - disabled.
		</em></span>
		</p><div class="example"><a name="id248033"></a><p class="title"><b>Example 1.1. Set <code class="varname">exec_query_threshold</code> parameter</b></p><div class="example-contents"><pre class="programlisting">
...
modparam("db_mysql", "exec_query_threshold", 60000)
...
</pre></div></div><br class="example-break"></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id249584"></a>1.3.2. <code class="varname">timeout_interval</code> (integer)</h3></div></div></div><p>
		Time interval after that an connection attempt, read or write request
		is aborted. The value counts three times, as several retries are done
		from the driver before it gives up.
		</p><p>
		The read timeout parameter is ignored on driver versions prior to
		&#8220;<span class="quote">5.1.12</span>&#8221;, &#8220;<span class="quote">5.0.25</span>&#8221; and &#8220;<span class="quote">4.1.22</span>&#8221;.
		The write timeout parameter is ignored on version prior to &#8220;<span class="quote">5.1.12</span>&#8221;
		and &#8220;<span class="quote">5.0.25</span>&#8221;, the &#8220;<span class="quote">4.1</span>&#8221; release don't support it at all.
		</p><p>
		<span class="emphasis"><em>
			Default value is 2 (6 sec).
		</em></span>
		</p><div class="example"><a name="id249628"></a><p class="title"><b>Example 1.2. Set <code class="varname">timeout_interval</code> parameter</b></p><div class="example-contents"><pre class="programlisting">
...
modparam("db_mysql", "timeout_interval", 2)
...
</pre></div></div><br class="example-break"></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id249646"></a>1.4. Exported Functions</h2></div></div></div><p>
		No function exported to be used from configuration file.
		</p></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id249656"></a>1.5. Installation</h2></div></div></div><p>
		Because it dependes on an external library, the mysql module is not
		compiled and installed by default. You can use one of the next options.
		</p><div class="itemizedlist"><ul type="disc"><li><p>
			- edit the "Makefile" and remove "db_mysql" from "excluded_modules"
			list. Then follow the standard procedure to install OpenSIPS:
			"make all; make install".
			</p></li><li><p>
			- from command line use: 'make all include_modules="db_mysql";
			make install include_modules="db_mysql"'.
			</p></li></ul></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="id249687"></a>1.6. Exported Events</h2></div></div></div><div class="section" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id249692"></a>1.6.1. 
		<code class="function">E_MYSQL_CONNECTION</code>
		</h3></div></div></div><p>
			This event is raised when a MySQL connection is lost or recovered.
		</p><p>Parameters:</p><div class="itemizedlist"><ul type="disc"><li><p>
					<span class="emphasis"><em>url</em></span> - the URL of the connection as specified by the <span class="emphasis"><em>db_url</em></span> parameter.
			</p></li><li><p>
				<span class="emphasis"><em>status</em></span> - <span class="emphasis"><em>connected</em></span> if the connection recovered, or 
				<span class="emphasis"><em>disconnected</em></span> if the connection was lost.
			</p></li></ul></div></div></div></div></div></body></html>
